# Created by pyp2rpm-3.3.2
%global pypi_name pyrsistent

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.20.0
Release:        %mkrel 2
Summary:        Persistent/Functional/Immutable data structures
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyrsistent
Source0:        %{pypi_source}
# Replace _PyList_Extend with PyList_SetSlice
# https://github.com/tobgu/pyrsistent/pull/284
#
# Together with the 0.20.0 release, this fixes:
#
# python-pyrsistent fails to build with Python 3.13: implicit declaration of
# function ‘Py_TRASHCAN_SAFE_BEGIN’, ‘Py_TRASHCAN_SAFE_END’, ‘_PyList_Extend’
# https://bugzilla.redhat.com/show_bug.cgi?id=2246349
Patch:          %{url}/pull/284.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are immutable.

All methods on a data structure that would normally mutate it instead return
a new copy of the structure containing the requested updates. The original
structure is left untouched.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are immutable.

All methods on a data structure that would normally mutate it instead return
a new copy of the structure containing the requested updates. The original
structure is left untouched.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} pvectorc _pyrsistent_version

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 0.20.0-2.mga10
+ Revision: 2156723
- fix build with py3.13
+ wally <wally>
- rebuild for python3.13

* Thu Dec 21 2023 wally <wally> 0.20.0-1.mga10
+ Revision: 2020738
- new version 0.20.0
- use pyproject rpm macros
- disable tests as we have too new pytest

* Thu Dec 21 2023 tv <tv> 0.18.1-4.mga10
+ Revision: 2020647
- Rebuild for python 3.12

* Fri Mar 18 2022 umeabot <umeabot> 0.18.1-3.mga9
+ Revision: 1799035
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.18.1-2.mga9
+ Revision: 1774604
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 0.18.1-1.mga9
+ Revision: 1771294
- version 0.18.1

* Sun Jul 25 2021 joequant <joequant> 0.18.0-1.mga9
+ Revision: 1737682
- update to 0.18.0

* Sun Mar 21 2021 tv <tv> 0.17.3-2.mga9
+ Revision: 1706610
- Rebuild for python 3.9

* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.17.3-1.mga8
+ Revision: 1648435
- new version 0.17.3

* Mon Apr 20 2020 wally <wally> 0.16.0-1.mga8
+ Revision: 1570133
- new version 0.16.0

* Sat Feb 29 2020 wally <wally> 0.15.7-1.mga8
+ Revision: 1552098
- new version 0.15.7

* Tue Feb 18 2020 umeabot <umeabot> 0.15.6-2.mga8
+ Revision: 1540983
- Mageia 8 Mass Rebuild

* Wed Dec 18 2019 wally <wally> 0.15.6-1.mga8
+ Revision: 1468772
- new version 0.15.6

* Tue Nov 12 2019 wally <wally> 0.15.5-1.mga8
+ Revision: 1459438
- new version 0.15.5

* Mon Sep 16 2019 daviddavid <daviddavid> 0.15.4-3.mga8
+ Revision: 1442422
- rebuild for python3.8
- drop python2 support

* Sat Aug 03 2019 wally <wally> 0.15.4-2.mga8
+ Revision: 1427141
- rebuild due to a buggy BS
- new version 0.15.4

* Wed Jul 10 2019 wally <wally> 0.15.3-1.mga8
+ Revision: 1419930
- new version 0.15.3

* Sat Jul 06 2019 wally <wally> 0.15.2-1.mga8
+ Revision: 1418927
- new version 0.15.2

* Fri Apr 19 2019 wally <wally> 0.14.11-1.mga7
+ Revision: 1393479
- imported package python-pyrsistent

